%define upstream_name Term-Query
%define upstream_version 2.0

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 16
License:	GPL or Artistic
Summary:	Table-driven query routine
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{upstream_name}
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/Term/%{upstream_name}-%{upstream_version}.tar.bz2
BuildRequires:	perl-devel
BuildRequires:	perl(Array::PrintCols)
BuildArch:	noarch


%description
Term::Query is a Perl 5 module, which performs generalized queries on
various kinds of values. Validation and normalization of input, based
on the type, is automated, as is error reporting and re-solicitation
of input.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
# make test don't work
# make test

%install
%make_install

%files
%doc ChangeLog README
%{perl_vendorlib}/Term/*
%{_mandir}/*/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 2.0.0-16.mga8
+ Revision: 1497305
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 2.0.0-15.mga7
+ Revision: 1271633
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 2.0.0-14.mga6
+ Revision: 1033932
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 2.0.0-13.mga6
+ Revision: 968713
- Mageia 6 Mass Rebuild

* Wed Jul 15 2015 sander85 <sander85> 2.0.0-12.mga6
+ Revision: 854394
- Update spec

* Wed Oct 15 2014 umeabot <umeabot> 2.0-11.mga5
+ Revision: 745735
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.0-10.mga5
+ Revision: 686375
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.0-9.mga4
+ Revision: 515014
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.0-8.mga3
+ Revision: 373272
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 jquelin <jquelin> 2.0-7.mga1
+ Revision: 31237
- mageia rebuild
- imported package perl-Term-Query


* Fri Sep 04 2009 Thierry Vignaud <tvignaud@mandriva.com> 2.0-7mdv2010.0
+ Revision: 430572
- rebuild

* Wed Jul 23 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.0-6mdv2009.0
+ Revision: 241962
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed May 09 2007 Oden Eriksson <oeriksson@mandriva.com> 2.0-4mdv2008.0
+ Revision: 25457
- rebuild

* Mon May 07 2007 Olivier Thauvin <nanardon@mandriva.org> 2.0-3mdv2008.0
+ Revision: 23831
- rebuild


* Fri Apr 28 2006 Nicolas Lécureuil <neoclust@mandriva.org> 2.0-2mdk
- Fix SPEC according to Perl Policy
	- BuildRequires
	- Source URL
- use mkrel

* Thu Jul 14 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0-1mdk
- initial Mandriva package

